DSC07367.JPG=Biarritz - great surf
DSC07297.JPG=Lestelle-Betharram
DSC07315.JPG=Oberon St Marie, France
DSC07360.JPG=Biarritz
DSC07322.JPG=Oberon St Marie, France
DSC07330.JPG=Biarritz board riders club
DSC07291.JPG=Pyraneese camping
DSC07334.JPG=Biarritz board riders club bar
DSC07305.JPG=Lestelle-Betharram - bridge built in 1687
St Claire.JPG=Oberon St Marie, France
DSC07306.JPG=Lestelle-Betharram
DSC07294.JPG=Lestelle-Betharram
DSC07293.JPG=Lestelle-Betharram
DSC07327.JPG=Unusual tree lopping
DSC07329.JPG=Unusual tree lopping
DSC07311.JPG=Lestelle-Betharram
DSC07349.JPG=Biarritz
DSC07326.JPG=Old Telephone exchange Oberon St Marie, France
DSC07314.JPG=Oberon St Marie, France - have you ever seen clearer water
DSC07309.JPG=Lestelle-Betharram
DSC07373.JPG=Biarritz - great surf
DSC07316.JPG=Oberon St Marie, France
DSC07352.JPG=Biarritz
DSC07353.JPG=Biarritz - great surf
DSC07343.JPG=Biarritz
DSC07221.JPG=Pyraneese camping
DSC07324.JPG=Oberon St Marie, France
DSC07328.JPG=Unusual tree lopping
DSC07300.JPG=Lestelle-Betharram
DSC07366.JPG=Biarritz
DSC07356.JPG=Biarritz - great surf
DSC07313.JPG=Oberon St Marie, France
LB1.JPG=Lestelle-Betharram - stunning
DSC07325.JPG=Old Telephone exchange Oberon St Marie, France
DSC07292.JPG=Lestelle-Betharram
Biarritz.JPG=Biarritz near M/H park
DSC07336.JPG=Biarritz - Bounty cafe, nice lunch
DSC07365.JPG=Biarritz
DSC07364.JPG=Biarritz
DSC07302.JPG=Lestelle-Betharram
DSC07357.JPG=Biarritz - great surf
DSC07351.JPG=Biarritz - great surf
DSC07335.JPG=Biarritz - great surf
DSC07222.JPG=Pyraneese camping
DSC07344.JPG=Biarritz - Chocolat museum
DSC07301.JPG=Lestelle-Betharram
DSC07345.JPG=Biarritz - great surf
DSC07321.JPG=Oberon St Marie, France
DSC07317.JPG=Oberon St Marie, France
DSC07342.JPG=Biarritz
DSC07369.JPG=Biarritz - great surf
DSC07318.JPG=Oberon St Marie, France
DSC07374.JPG=Biarritz - great surf
